import { PropType } from 'vue';
import { CssClass } from '../../helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    size: {
        type: PropType<"lg" | "sm" | "md">;
        default: string;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    icon: {
        type: PropType<string>;
        default: string;
    };
    iconType: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    iconPrefix: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    color: {
        type: PropType<string>;
        default: string;
    };
    title: {
        type: PropType<string | null>;
        default: null;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    plain: {
        type: PropType<boolean>;
        default: boolean;
    };
    hoverable: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradient: {
        type: PropType<string | null>;
        default: null;
    };
    theme: {
        type: PropType<string | null>;
        default: null;
    };
}, unknown, unknown, {
    classes(): CssClass[];
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: PropType<"lg" | "sm" | "md">;
        default: string;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    icon: {
        type: PropType<string>;
        default: string;
    };
    iconType: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    iconPrefix: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    color: {
        type: PropType<string>;
        default: string;
    };
    title: {
        type: PropType<string | null>;
        default: null;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    plain: {
        type: PropType<boolean>;
        default: boolean;
    };
    hoverable: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradient: {
        type: PropType<string | null>;
        default: null;
    };
    theme: {
        type: PropType<string | null>;
        default: null;
    };
}>>, {
    color: string;
    gradient: string | null;
    size: "lg" | "sm" | "md";
    disabled: boolean;
    loading: boolean;
    title: string | null;
    plain: boolean;
    hoverable: boolean;
    theme: string | null;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    dark: boolean;
    light: boolean;
    icon: string;
    iconType: string | undefined;
    iconPrefix: string | undefined;
}>;
export default _default;
