import { RadioValue } from './models';
declare type Props = {
    modelValue: RadioValue;
    name: string | number;
    groupName: string | number;
    label?: string | null;
    disabled?: boolean;
    color?: string;
    bordered?: boolean;
    error?: boolean;
    light?: boolean;
    dark?: boolean;
};
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    modelValue: null;
    label: null;
    disabled: boolean;
    color: string;
    bordered: boolean;
    error: boolean;
    light: boolean;
    dark: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    select: () => void;
} & {
    "update:model-value": (name: RadioValue) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    modelValue: null;
    label: null;
    disabled: boolean;
    color: string;
    bordered: boolean;
    error: boolean;
    light: boolean;
    dark: boolean;
}>>> & {
    onSelect?: (() => any) | undefined;
    "onUpdate:model-value"?: ((name: RadioValue) => any) | undefined;
}, {
    color: string;
    disabled: boolean;
    bordered: boolean;
    dark: boolean;
    light: boolean;
    error: boolean;
    modelValue: RadioValue;
    label: string | null;
}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
declare type __VLS_WithDefaults<P, D> = {
    [K in keyof P]: K extends keyof D ? P[K] & {
        default: D[K];
    } : P[K];
};
