import { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    increment: {
        type: PropType<number>;
        default: number;
    };
    rating: {
        type: NumberConstructor;
        default: number;
    };
    roundStartRating: {
        type: BooleanConstructor;
        default: boolean;
    };
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    inactiveColor: {
        type: StringConstructor;
        default: string;
    };
    maxRating: {
        type: NumberConstructor;
        default: number;
    };
    starPoints: {
        type: PropType<number[]>;
        default: () => never[];
    };
    starSize: {
        type: NumberConstructor;
        default: number;
    };
    showRating: {
        type: BooleanConstructor;
        default: boolean;
    };
    readOnly: {
        type: BooleanConstructor;
        default: boolean;
    };
    textClass: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    borderColor: {
        type: StringConstructor;
        default: string;
    };
    borderWidth: {
        type: NumberConstructor;
        default: number;
    };
    roundedCorners: {
        type: BooleanConstructor;
        default: boolean;
    };
    padding: {
        type: NumberConstructor;
        default: number;
    };
    rtl: {
        type: BooleanConstructor;
        default: boolean;
    };
    fixedPoints: {
        type: NumberConstructor;
        default: null;
    };
    glow: {
        type: NumberConstructor;
        default: number;
    };
    glowColor: {
        type: StringConstructor;
        default: string;
    };
}, unknown, {
    step: number;
    fillLevel: number[];
    currentRating: number;
    selectedRating: number;
    ratingSelected: boolean;
}, {
    formattedRating(): string;
    shouldRound(): boolean;
    margin(): number;
}, {
    setRating(data: any, persist?: boolean): void;
    resetRating(): void;
    createStars(round?: boolean): void;
    round(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("rating-selected" | "current-rating")[], "rating-selected" | "current-rating", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    increment: {
        type: PropType<number>;
        default: number;
    };
    rating: {
        type: NumberConstructor;
        default: number;
    };
    roundStartRating: {
        type: BooleanConstructor;
        default: boolean;
    };
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    inactiveColor: {
        type: StringConstructor;
        default: string;
    };
    maxRating: {
        type: NumberConstructor;
        default: number;
    };
    starPoints: {
        type: PropType<number[]>;
        default: () => never[];
    };
    starSize: {
        type: NumberConstructor;
        default: number;
    };
    showRating: {
        type: BooleanConstructor;
        default: boolean;
    };
    readOnly: {
        type: BooleanConstructor;
        default: boolean;
    };
    textClass: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    borderColor: {
        type: StringConstructor;
        default: string;
    };
    borderWidth: {
        type: NumberConstructor;
        default: number;
    };
    roundedCorners: {
        type: BooleanConstructor;
        default: boolean;
    };
    padding: {
        type: NumberConstructor;
        default: number;
    };
    rtl: {
        type: BooleanConstructor;
        default: boolean;
    };
    fixedPoints: {
        type: NumberConstructor;
        default: null;
    };
    glow: {
        type: NumberConstructor;
        default: number;
    };
    glowColor: {
        type: StringConstructor;
        default: string;
    };
}>> & {
    "onRating-selected"?: ((...args: any[]) => any) | undefined;
    "onCurrent-rating"?: ((...args: any[]) => any) | undefined;
}, {
    activeColor: string;
    inactiveColor: string;
    borderColor: string;
    borderWidth: number;
    roundedCorners: boolean;
    rtl: boolean;
    glow: number;
    glowColor: string;
    starPoints: number[];
    rating: number;
    increment: number;
    roundStartRating: boolean;
    maxRating: number;
    starSize: number;
    showRating: boolean;
    readOnly: boolean;
    textClass: string;
    inline: boolean;
    padding: number;
    fixedPoints: number;
}>;
export default _default;
