import { PropType } from 'vue';
import { CssClass } from '../../../helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: PropType<boolean>;
        required: true;
    };
    position: {
        type: PropType<"left" | "right" | "fullsize">;
        default: string;
        validator: (val: string) => boolean;
    };
    activeTextColor: {
        type: PropType<string | null>;
        default: null;
    };
    activeColor: {
        type: PropType<string | null>;
        default: null;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
}, unknown, unknown, {
    isExpanded: {
        get(): boolean;
        set(val: boolean): void;
    };
    classes(): CssClass[];
    dropdownClasses(): CssClass[];
}, {
    toggleDropdown(): void;
    clickOutside(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "close" | "open" | "outside")[], "update:modelValue" | "close" | "open" | "outside", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<boolean>;
        required: true;
    };
    position: {
        type: PropType<"left" | "right" | "fullsize">;
        default: string;
        validator: (val: string) => boolean;
    };
    activeTextColor: {
        type: PropType<string | null>;
        default: null;
    };
    activeColor: {
        type: PropType<string | null>;
        default: null;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onClose?: ((...args: any[]) => any) | undefined;
    onOpen?: ((...args: any[]) => any) | undefined;
    onOutside?: ((...args: any[]) => any) | undefined;
}, {
    persistent: boolean;
    position: "left" | "right" | "fullsize";
    activeColor: string | null;
    activeTextColor: string | null;
}>;
export default _default;
