import { App } from 'vue';
import { Options, CustomOptions, BemItem } from './models';
export * from './components';
export * from './directives';
export { createBem } from './helpers/bem';
export declare function createUI(options: CustomOptions): {
    install: (T: App) => void;
};
export declare function useUi(): Options | undefined;
declare module '@vue/runtime-core' {
    interface ComponentCustomProperties {
        $bem: (T: BemItem) => string[];
        $ui: Options;
    }
}
