import { PropType } from 'vue';
export interface PageButton {
    value: number;
    label: number | string;
}
declare const _default: import("vue").DefineComponent<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<number>;
        required: true;
    };
    lastPage: {
        type: PropType<number>;
        required: true;
    };
    showJumper: {
        type: PropType<boolean>;
        default: boolean;
    };
}, unknown, {
    jumperValue: number;
}, {
    dict(): {
        page: string;
        total: string;
    };
    currentPage: {
        get(): number;
        set(value: number): void;
    };
    showPagination(): boolean;
    pageButtons(): PageButton[];
}, {
    scrollToTop(): void;
    change(page: number): void;
    setPage(page: number): void;
    goToPreviousPage(): void;
    goToNextPage(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "change")[], "update:modelValue" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<number>;
        required: true;
    };
    lastPage: {
        type: PropType<number>;
        required: true;
    };
    showJumper: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    showJumper: boolean;
}>;
export default _default;
