import { PropType } from 'vue';
declare type Tab = {
    label: string;
    value: string;
};
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: PropType<string>;
        default: string;
    };
    tabs: {
        type: PropType<Tab[]>;
        required: true;
    };
}, unknown, {
    activeTab: number;
    rand: string;
    sliderDOM: HTMLDivElement | null;
}, {}, {
    init(): void;
    findActiveTab(): void;
    setActiveTab(index: number): void;
    selectTab(index: number): void;
    setSliderPossition(index: number): void;
    isActive(index: number): boolean;
    generateRand(length: number): string;
    emitValue(index: number): void;
    resizeListener(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "change" | "select")[], "update:modelValue" | "change" | "select", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<string>;
        default: string;
    };
    tabs: {
        type: PropType<Tab[]>;
        required: true;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onSelect?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    modelValue: string;
}>;
export default _default;
