export declare type BemModifiers = string | string[] | {
    [key in string]: boolean;
};
export interface BemItem {
    b?: string;
    e?: string;
    m?: BemModifiers;
}
export declare const getClassName: (b: string, e?: string, m?: string) => string;
export declare const getModifiers: (m?: BemModifiers) => string[];
export declare function createBem(name: string): (bemItem?: BemItem) => string[];
